Can't set an exact pixel size when creating constant raster layer

2018-03-15 02:14 AM - Spencer Gardner

Status: Closed

Priority: Normal
Affected QGIS version:3.0.0

Operating System: Windows
Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 26334

Description

[copied from issue filed on Github: https:/github.com/qgis/QGIS-Processing/issues/82]

| need to generate a raster layer that has an exact pixel size of 5 meters. When | grab the extents from a vector layer and set a pixel value

of 5 I get an output with pixel sizes that are just slightly lower than 5. This happens even if | set the extents to be numbers divisible by 5.

https://user-images.githubusercontent.com/4584258/37054143-a8d4a02a-2143-11e8-84a0-5f5eebbc624d.png

https://user-images.githubusercontent.com/4584258/37054042-6c835b34-2143-11e8-8b8b-d1c21e19aeae.png

Ideally there should be a checkbox or something to let me indicate whether | want to cheat on the extent or on the cell size, but at the very

least | should be getting a cell size of 5 if my extents are multiples of 5, right? Have | misunderstood something?

Associated revisions

Revision 8c689b2d - 2018-06-05 08:15 AM - Nyall Dawson

[processing] Fix create constant raster layer modifies pixel size

Fixes #18446

History

#1 - 2018-06-05 08:15 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|8c689b2d3625d92341f9fb0c8ed4e30af842ad23a.
